﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;

namespace StimulsoftWpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private List<Sample> Samples = new List<Sample>();

        private void FillData()
        {
            Sample c1 = new Sample(1, "Simple", 1);
            Sample c2 = new Sample(2, "Simple", 1);
            Sample c3 = new Sample(3, "Hard", 2);
            Sample c4 = new Sample(4, "Hard", 2);
            Sample c5 = new Sample(5, "Simple", 1);

            Samples.Add(c1);
            Samples.Add(c2);
            Samples.Add(c3);
            Samples.Add(c4);
            Samples.Add(c5);
        }

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Samples", Samples);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Samples", Samples);
                        
            r.ShowWithWpf();
        }
    }
}
